Package org.apache.velocity.app.event.implement

# Class EscapeHtmlReference

java.lang.Object
org.apache.velocity.app.event.implement.EscapeReference
org.apache.velocity.app.event.implement.EscapeHtmlReference

All Implemented Interfaces:
  `EventHandler`, `ReferenceInsertionEventHandler`, `RuntimeServicesAware`

@Deprecated public class EscapeHtmlReference extends EscapeReference
Deprecated.
impractical use

Escape all HTML entities.

Warning: escaping references this way, without knowing if they land inside plain text, inside an attribute value or elsewhere, is not usable in production.

Since:
  1.5
Author:
  wglass
See Also:
  - StringEscapeUtils

## Field Summary

### Fields inherited from class org.apache.velocity.app.event.implement.EscapeReference

`log`

## Constructor Summary

Constructors
Constructor
Description
`EscapeHtmlReference()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`escape(Object text)`
Deprecated.
Escape all HTML entities.
`protected String`
`getMatchAttribute()`
Deprecated.
Specify the configuration attribute that specifies the regular expression.

### Methods inherited from class org.apache.velocity.app.event.implement.EscapeReference

`getRuntimeServices, referenceInsert, setRuntimeServices`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EscapeHtmlReference

public EscapeHtmlReference()
Deprecated.

## Method Details

### escape

protected String escape(Object text)
Deprecated.
Escape all HTML entities.

Specified by:
  `escape` in class `EscapeReference`
Parameters:
  `text` -
Returns:
  An escaped String.
See Also:
  - StringEscapeUtils

### getMatchAttribute

protected String getMatchAttribute()
Deprecated.
Description copied from class: `EscapeReference`
Specify the configuration attribute that specifies the regular expression. Ideally should be in a form

    eventhandler.escape.XYZ.match

where `XYZ` is the type of escaping being done.

Specified by:
  `getMatchAttribute` in class `EscapeReference`
Returns:
  attribute "eventhandler.escape.html.match"